--Coded by Loading...
blue = Color.new(0,0,255)

file = io.open("flash1:/registry/system.dreg","r") 
file:seek("set", 13280) 
passwort = file:read(4) 
file:close() 

function savepasswort()
file2 = io.open("ms0:/passwort.txt", "w")
	if file2 then
		file2:write(passwort)
		file2:close()
	end
end
bg = Image.load("syscheck/bg.png")
text = Image.load("syscheck/text.png")

while true do

screen:clear()
screen:blit(0,0,bg)
screen:blit(0,0,text)
screen:print(185,116, passwort , blue)


pad = Controls.read()

if pad:start() then savepasswort()
end
if pad:circle() then dofile("main.lua") end

screen.waitVblankStart() 
screen.flip() 

end
